Results 1 to 3 of 3

Thread: BT3 final autopwn

  1. #1
    Just burned his ISO
    Join Date
    May 2008
    Posts
    15

    Default BT3 final autopwn

    I have read the tutorials on autopwn. yes i correctly installed the rubygem, activerecord, postgres and even sqlite3 too. however when i try to create a new database...
    initdb ~/metasploitdb
    i get the must not be root error. And yes i did read the other threads to su - postgres, but this doesnt work. it says "Unknown id: postgres" and wont let me create the database. any thoughts?

  2. #2
    Senior Member ShadowKill's Avatar
    Join Date
    Dec 2007
    Posts
    908

    Default

    Quote Originally Posted by krispys View Post
    I have read the tutorials on autopwn. yes i correctly installed the rubygem, activerecord, postgres and even sqlite3 too. however when i try to create a new database...
    initdb ~/metasploitdb
    i get the must not be root error. And yes i did read the other threads to su - postgres, but this doesnt work. it says "Unknown id: postgres" and wont let me create the database. any thoughts?
    Are you utilizing sudo or su, because su postgres is not a valid command....



    "The goal of every man should be to continue living even after he can no longer draw breath."

    ~ShadowKill

  3. #3
    Just burned his ISO
    Join Date
    May 2008
    Posts
    15

    Default

    The problem is you specifically cannot be a root user to run the initdb command.
    Never mind... just gave up on postgres and went to sqlite.
    still didnt solve the problem though.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •